RecipientEncryptedKey (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cms

## Class RecipientEncryptedKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.RecipientEncryptedKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RecipientEncryptedKey
      extends ASN1Object

  RFC 5652: Content encryption key delivery mechanisms.

       RecipientEncryptedKey ::= SEQUENCE {
           rid KeyAgreeRecipientIdentifier,
           encryptedKey EncryptedKey
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipientEncryptedKey(KeyAgreeRecipientIdentifier id, ASN1OctetString encryptedKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getEncryptedKey()`
    `KeyAgreeRecipientIdentifier` | `getIdentifier()`
    `static RecipientEncryptedKey` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an RecipientEncryptedKey object from a tagged object.
    `static RecipientEncryptedKey` | `getInstance(java.lang.Object obj)` Return a RecipientEncryptedKey object from the given object.
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipientEncryptedKey

          public RecipientEncryptedKey(KeyAgreeRecipientIdentifier id,
                               ASN1OctetString encryptedKey)

  - ### Method Detail

    - #### getInstance

          public static RecipientEncryptedKey getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

      Return an RecipientEncryptedKey object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static RecipientEncryptedKey getInstance(java.lang.Object obj)

      Return a RecipientEncryptedKey object from the given object.

      Accepted inputs:

      - null → null
      - `RecipientEncryptedKey` object
      - `ASN1Sequence` input formats with RecipientEncryptedKey structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getIdentifier

          public KeyAgreeRecipientIdentifier getIdentifier()

    - #### getEncryptedKey

          public ASN1OctetString getEncryptedKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.